IPython - Enhanced Interactive Python

OSX readline detection fails in the debugger

Reported by Boyd Waters on 2009-08-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
IPython
Fix Committed
Undecided
Unassigned

Bug Description

On Mon, Aug 10, 2009 at 11:59 AM, Darrell Schiebel<email address hidden> wrote:

Hi Boyd,

I don't know how you contributed this patch... but I found that when I was
running in the debugger it was failing with an "interrupted system call"
when you use otool to try and find out if readline or libedit is being
used. I put in a try block to continue trying when this error occurs. Below
is the change, if you still recall how you submitted this patch... could you
submit an addendum?

Fernando Perez (fdo.perez) wrote :

Fix pushed:
- trunk, r1244
- 0.10.1, r1226

Note that I changed the 'while True' to a 'range(10)' loop; I'm always worried about an infinite loop with 'while True' code. Let me know if you disagree (and why the 'while True' form would be safe).

Thanks for the patch!

Changed in ipython:
status: New → Fix Committed
Fernando Perez (fdo.perez) wrote :

See however:

https://bugs.launchpad.net/ipython/+bug/416162

for a slightly different solution. We're discussing which approach to use in the end.

I prefer the try/except form as in bug 416192; we are using PyQt4 as well.

However, I am not certain that they are the same bug: our initial
problem was a "timeout" error. But in any case, I think that the
416192 patch would smooth over that problem as well.

On Sat, Apr 24, 2010 at 11:44 PM, Fernando Perez <email address hidden> wrote:
> See however:
>
> https://bugs.launchpad.net/ipython/+bug/416162
>
> for a slightly different solution.  We're discussing which approach to
> use in the end.
>
> --
> OSX readline detection fails in the debugger
> https://bugs.launchpad.net/bugs/411599
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in IPython - Enhanced Interactive Python: Fix Committed
>
> Bug description:
> On Mon, Aug 10, 2009 at 11:59 AM, Darrell Schiebel<email address hidden> wrote:
>
> Hi Boyd,
>
> I don't know how you contributed this patch... but I found that when I was
> running in the debugger it was failing with an "interrupted system call"
> when you use otool to try and find out if  readline or libedit is being
> used. I put in a try block to continue trying when this error occurs. Below
> is the change, if you still recall how you submitted this patch... could you
> submit an addendum?
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ipython/+bug/411599/+subscribe
>

Fernando Perez (fdo.perez) wrote :

Hi Darrell,

On Mon, May 9, 2011 at 3:56 PM, Darrell Schiebel <email address hidden> wrote:
> I find that the fixed loop duration is insufficient. I needed to set it to
> 150 (see below). At 50 or less repetitions, ipython startup consistently
> dies within gdb.

This bug had been closed in launchpad already, and we've moved our bug
tracker (and all ipython work) from LP to github. I've reopened it
now:

https://github.com/ipython/ipython/issues/473

Cheers,

f

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers